Subject: bug#6723: 24.0.50; gnupg support is no longer able to create .gpg files from scratch

From: Daiki Ueno <[email-masked]>
Date: Sun, 25 Jul 2010 20:39:02 +0900

Romain Francoise <[email-masked]> writes:

> Stefano Zacchiroli <[email-masked]> writes:
>
>> Starting from recent Emacs snapshots, I'm no longer able to create
>> encrypted .gpg files on the fly, using Emacs GPG support. I used to do
>> `C-x C-f something.txt.gpg' where something.txt.gpg is a non-existent
>> file, followed by `C-j' to confirm the creation of the file. That now
>> fails with the message reported in recent messages below, i.e.:
>
>>   epa-file--find-file-not-found-function: Opening input file: Can't decrypt, ((exit))

> This is probably caused by the following change:
>
> 2010-07-08  Daiki Ueno  <[email-masked]>
>
> 	* epa-file.el (epa-file-error, epa-file--find-file-not-found-function)
> 	(epa-file-insert-file-contents): Hack to prevent
> 	find-file from opening empty buffer when decryptin failed
> 	(bug#6568).

Good catch.  It should be fixed now (as r100895).  Thanks.

BTW, does debbugs have a feature to tag epg related bug?  I usually
search the bugdb with "encrypt", "decrypt", "gnupg", etc. and possibly
there might have been bugs left unnoticed.

Regards,
-- 
Daiki Ueno